services:
  receiver:
    build:
      context: .
      dockerfile: Dockerfile.receiver
    container_name: house-gps-receiver-c
    working_dir: /app
    ports:
      - "8080:8080"
    volumes:
      - /opt/house_gps_flutter:/app
    restart: unless-stopped

  plot-web:
    image: python:3.11-slim
    container_name: house-gps-web-c
    working_dir: /app
    command: ["python", "-m", "http.server", "8090", "--bind", "0.0.0.0"]
    ports:
      - "8090:8090"
    volumes:
      - /opt/house_gps_flutter:/app
    restart: unless-stopped

  flutter-web:
    image: python:3.11-slim
    container_name: house-gps-flutter-web-c
    working_dir: /app
    command: ["python", "-m", "http.server", "8091", "--bind", "0.0.0.0", "--directory", "/app/build/web"]
    ports:
      - "8091:8091"
    volumes:
      - /opt/house_gps_flutter:/app
    restart: unless-stopped
